library ieee;
use ieee.std_logic_1164.all;

entity tb is
end tb;

architecture tbb of tb is
component mux4x1 is
 port (i0,i1,i2,i3: in std_logic;
 	s1,s0: in std_logic;
 	q: out std_logic);
 end component;
 signal a0,a1,a2,a3,s1,s0,q: std_logic;
 
 begin
 dut: mux4x1 port map (a0,a1,a2,a3,s1,s0,q);
 
  a0 <= '0' after 0 ns, '1' after 20 ns;
  a1 <= '1' after 0.1 ns, '0' after 10 ns, '1' after 30 ns;
  a2 <= '1' after 0 ns, '0' after 25 ns;
  a3 <= 'X' after 1 ns, '0' after 35 ns;
  s0 <= '0' after 0 ns, '1' after 5 ns, '0' after 20 ns, '1' after 38 ns;
  s1<= '0' after 0 ns, '1' after 24 ns;  
 end tbb;
  
