library ieee;
use ieee.std_logic_1164.all;

entity registro is
port (rst, clk: in std_logic;
      DIN: in std_logic_vector(15 downto 0);
      Q: out std_logic_vector(15 downto 0)
      );
end registro;
      
architecture seq of registro is
 begin
  process(rst,clk)
   begin
     if rst = '1' then
       Q <= (Q'range => '0');
     elsif clk'event and clk = '1'
               then Q <= DIN after 2 ns;
     end if;
  end process;
 end seq;
 
       
       
